%define upstream_name    Syntax-Keyword-Junction
%define upstream_version 0.003006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl6 style Junction operators in Perl5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.6
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(syntax)
BuildArch:  noarch

%description
This is a lightweight module which provides 'Junction' operators, the most
commonly used being 'any' and 'all'.

Inspired by the Perl6 design docs, the
http://dev.perl.org/perl6/doc/design/exe/E06.html manpage.

Provides a limited subset of the functionality of the
Quantum::Superpositions manpage, see the /"SEE ALSO" manpage for comment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.3.6-2.mga4
+ Revision: 531643
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 sander85 <sander85> 0.3.6-1.mga4
+ Revision: 464335
- update to 0.003006

* Mon Aug 05 2013 sander85 <sander85> 0.3.5-1.mga4
+ Revision: 463971
- update to 0.003005

* Fri Jun 07 2013 jquelin <jquelin> 0.3.4-1.mga4
+ Revision: 439885
- update to 0.003004

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-2.mga3
+ Revision: 372916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.3.2-1.mga3
+ Revision: 342604
- update to 0.003002

* Mon Sep 17 2012 jquelin <jquelin> 0.3.1-1.mga3
+ Revision: 295262
- imported package perl-Syntax-Keyword-Junction


* Mon Sep 17 2012 cpan2dist 0.003001-1mga
- initial mageia release, generated with cpan2dist
